/** 
 *   Camera Control for STAR I.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _CAMERA_CTRL_H
#define _CAMERA_CTRL_H

#include <gpib/ib.h>

#define CC_GPIB 0
#define CC_PADDR 1
#define CC_TIME_OUT T30ms

#define CMD_OK    0x60
#define CMD_ERROR 0x40
#define RW_BUF_SIZE 80

#define GAIN_HIGH    1
#define GAIN_LOW     0
#define TEMP_REG_ON  1
#define TEMP_REG_OFF 0
#define ZOOM_1X      0
#define ZOOM_2X      1
#define ZOOM_3X      2
#define AUTO_WIN_ON  1
#define AUTO_WIN_OFF 0




#endif /* ifndef _CAMERA_CTRL_H */
